# Uses of Enum Class
net.shibboleth.idp.plugin.authn.webauthn.admin.policy.AuthenticatorPolicy.AuthenticatorPolicyOutcome

Packages that use AuthenticatorPolicy.AuthenticatorPolicyOutcome
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.admin.policy
This package contains the APIs for registration policies.
net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl
This package has registration policy implementations.

## Uses of AuthenticatorPolicy.AuthenticatorPolicyOutcome in net.shibboleth.idp.plugin.authn.webauthn.admin.policy

Methods in net.shibboleth.idp.plugin.authn.webauthn.admin.policy that return AuthenticatorPolicy.AuthenticatorPolicyOutcome
Modifier and Type
Method
Description
`AuthenticatorPolicy.AuthenticatorPolicyOutcome`
AuthenticatorPolicy.`evaluate(com.yubico.fido.metadata.AAGUID aaguid, ProfileRequestContext prc)`
Execute and evaluate the policy.
`static AuthenticatorPolicy.AuthenticatorPolicyOutcome`
AuthenticatorPolicy.AuthenticatorPolicyOutcome.`of(boolean outcome)`
Helper method to create an `AuthenticatorPolicy.AuthenticatorPolicyOutcome` from a boolean flag.
`static AuthenticatorPolicy.AuthenticatorPolicyOutcome`
AuthenticatorPolicy.AuthenticatorPolicyOutcome.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthenticatorPolicy.AuthenticatorPolicyOutcome[]`
AuthenticatorPolicy.AuthenticatorPolicyOutcome.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of AuthenticatorPolicy.AuthenticatorPolicyOutcome in net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl with type parameters of type AuthenticatorPolicy.AuthenticatorPolicyOutcome
Modifier and Type
Field
Description
`private BiFunction<com.yubico.fido.metadata.AAGUID,FunctionalRuleContext,AuthenticatorPolicy.AuthenticatorPolicyOutcome>`
FunctionalAuthenticatorPolicyRule.`rule`
The function to run.
Methods in net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl that return AuthenticatorPolicy.AuthenticatorPolicyOutcome
Modifier and Type
Method
Description
`protected abstract AuthenticatorPolicy.AuthenticatorPolicyOutcome`
AbstractAuthenticatorPolicyRule.`doAccept(com.yubico.fido.metadata.AAGUID aaguid, ProfileRequestContext prc)`
Execute the policy.
`AuthenticatorPolicy.AuthenticatorPolicyOutcome`
AllowlistAuthenticatorPolicy.`doAccept(com.yubico.fido.metadata.AAGUID aaguid, ProfileRequestContext prc)`
Execute the policy.
`AuthenticatorPolicy.AuthenticatorPolicyOutcome`
AuthenticatorCapabilitiesPolicyRule.`doAccept(com.yubico.fido.metadata.AAGUID aaguid, ProfileRequestContext prc)`
Execute the policy.
`protected AuthenticatorPolicy.AuthenticatorPolicyOutcome`
ChainingAuthenticatorPolicyRule.`doAccept(com.yubico.fido.metadata.AAGUID aaguid, ProfileRequestContext prc)`
Execute the policy.
`protected AuthenticatorPolicy.AuthenticatorPolicyOutcome`
FunctionalAuthenticatorPolicyRule.`doAccept(com.yubico.fido.metadata.AAGUID aaguid, ProfileRequestContext prc)`
Execute the policy.
`AuthenticatorPolicy.AuthenticatorPolicyOutcome`
AbstractAuthenticatorPolicyRule.`evaluate(com.yubico.fido.metadata.AAGUID aaguid, ProfileRequestContext prc)`
Execute and evaluate the policy.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl with type arguments of type AuthenticatorPolicy.AuthenticatorPolicyOutcome
Modifier and Type
Method
Description
`void`
FunctionalAuthenticatorPolicyRule.`setRule(BiFunction<com.yubico.fido.metadata.AAGUID,FunctionalRuleContext,AuthenticatorPolicy.AuthenticatorPolicyOutcome> function)`
Set the policy function rule to run.